classification
Title: Add more tkinter tests
Type: enhancement Stage: resolved
Components: Tests, Tkinter Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ned.deily, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-05-18 12:25 by serhiy.storchaka, last changed 2014-05-24 04:43 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
test_tkinter_configure.patch serhiy.storchaka, 2014-05-18 12:25 review
Messages (6)
msg218741 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-18 12:25
Here is a patch which adds tests for Listbox.itemconfigure(), PanedWindow.paneconfigure() and several tests for Menu.entryconfigure().
msg218959 - (view) Author: Roundup Robot (python-dev) Date: 2014-05-23 11:11
New changeset a7082e2898aa by Serhiy Storchaka in branch '2.7':
Issue #21522: Added Tkinter tests for Listbox.itemconfigure(),
http://hg.python.org/cpython/rev/a7082e2898aa

New changeset f7c012ff33cb by Serhiy Storchaka in branch '3.4':
Issue #21522: Added Tkinter tests for Listbox.itemconfigure(),
http://hg.python.org/cpython/rev/f7c012ff33cb

New changeset 4034c96a98a7 by Serhiy Storchaka in branch 'default':
Issue #21522: Added Tkinter tests for Listbox.itemconfigure(),
http://hg.python.org/cpython/rev/4034c96a98a7
msg218989 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-05-23 19:10
Failing tests with Tk 8.4 (Carbon Tk 8.4.20 on OS X):


======================================================================
ERROR: test_paneconfigure_hide (tkinter.test.test_tkinter.test_widgets.PanedWindowTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 995, in test_paneconfigure_hide
    self.check_paneconfigure(p, b, 'hide', False, 0)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 967, in check_paneconfigure
    p.paneconfigure(b, **{name: value})
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/__init__.py", line 3818, in paneconfigure
    self._options(cnf, kw))
_tkinter.TclError: unknown option "-hide"

======================================================================
ERROR: test_paneconfigure_stretch (tkinter.test.test_tkinter.test_widgets.PanedWindowTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 1027, in test_paneconfigure_stretch
    self.check_paneconfigure(p, b, 'stretch', 'alw', 'always')
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 967, in check_paneconfigure
    p.paneconfigure(b, **{name: value})
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/__init__.py", line 3818, in paneconfigure
    self._options(cnf, kw))
_tkinter.TclError: unknown option "-stretch"

======================================================================
FAIL: test_paneconfigure_height (tkinter.test.test_tkinter.test_widgets.PanedWindowTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 989, in test_paneconfigure_height
    self.check_paneconfigure(p, b, 'height', 10, 10)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 968, in check_paneconfigure
    self.assertEqual(p.paneconfigure(b, name)[4], expected)
AssertionError: <pixel object: '10'> != 10

======================================================================
FAIL: test_paneconfigure_width (tkinter.test.test_tkinter.test_widgets.PanedWindowTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 1034, in test_paneconfigure_width
    self.check_paneconfigure(p, b, 'width', 10, 10)
  File "/py/dev/3x/root/fwd/Library/Frameworks/pytest_10.9.framework/Versions/3.5/lib/python3.5/tkinter/test/test_tkinter/test_widgets.py", line 968, in check_paneconfigure
    self.assertEqual(p.paneconfigure(b, name)[4], expected)
AssertionError: <pixel object: '10'> != 10
msg218997 - (view) Author: Roundup Robot (python-dev) Date: 2014-05-23 21:00
New changeset c7ee46ed2d70 by Serhiy Storchaka in branch '2.7':
Fixed new Tkinter tests added in issue #21522 with Tk 8.4.
http://hg.python.org/cpython/rev/c7ee46ed2d70

New changeset 854404294f34 by Serhiy Storchaka in branch '3.4':
Fixed new Tkinter tests added in issue #21522 with Tk 8.4.
http://hg.python.org/cpython/rev/854404294f34

New changeset 1079772e7309 by Serhiy Storchaka in branch 'default':
Fixed new Tkinter tests added in issue #21522 with Tk 8.4.
http://hg.python.org/cpython/rev/1079772e7309
msg219001 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-23 21:12
Thank you Ned. My fault.
msg219023 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-05-24 04:43
Yes, that fixes 8.4, thanks!
History
Date User Action Args
2014-05-24 04:43:24ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg219023
2014-05-23 21:12:32serhiy.storchakasetmessages: + msg219001
2014-05-23 21:00:17python-devsetmessages: + msg218997
2014-05-23 19:10:55ned.deilysetstatus: closed -> open

nosy: + ned.deily
messages: + msg218989

resolution: fixed -> (no value)
2014-05-23 11:32:54serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-05-23 11:11:32python-devsetnosy: + python-dev
messages: + msg218959
2014-05-18 12:25:59serhiy.storchakacreate